
import random

def shuffle_list(input_list):
    """
    Shuffle the elements of the input list in place using the Fisher-Yates algorithm.
    """
    for i in range(len(input_list) - 1, 0, -1):
        j = random.randint(0, i)
        input_list[i], input_list[j] = input_list[j], input_list[i]
    return input_list



